## skrooge 0.9.92

=== CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE ROOT ::..")

PROJECT(skrooge)

FIND_PROGRAM(SKG_BASH bash)
MARK_AS_ADVANCED(SKG_BASH)

FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)
MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

SET(SKG_VERSION "0.9.92")
SET(SKG_BETA "BETA")
SET(SOVERSION 0)
SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )

IF (CMAKE_BUILD_TYPE)
ELSE (CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE profile)
#"release": optimized for speed, no debug symbols or debug messages
#"relwithdebinfo": optimized for speed, debug symbols for backtraces
#"debug": optimized, but debuggable
#"debugfull": no optimisations, full debug support
#"profile": adds coverage flags to debugfull
#"none": the build flags are manually set using the CMAKE_CXX_FLAGS option.
ENDIF (CMAKE_BUILD_TYPE)

SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib)
OPTION(SKG_BUILD_TEST "Build the test" OFF)
MESSAGE( STATUS "     PROJECT_SOURCE_DIR  : " ${PROJECT_SOURCE_DIR} )
MESSAGE( STATUS "     PROJECT_BINARY_DIR  : " ${PROJECT_BINARY_DIR} )
MESSAGE( STATUS "     BUILD_DIR           : " ${BUILD_DIR} )
MESSAGE( STATUS "     CMAKE_BUILD_TYPE    : " ${CMAKE_BUILD_TYPE} )
MESSAGE( STATUS "     CMAKE_INSTALL_PREFIX: " ${CMAKE_INSTALL_PREFIX} )

IF(CMAKE_BUILD_TYPE MATCHES "profile")
  MESSAGE( STATUS "     TRACES              : All traces activated")
  #add_definitions(-DSKGFULLTRACES)
ELSE(CMAKE_BUILD_TYPE MATCHES "profile")
  IF(CMAKE_BUILD_TYPE MATCHES "debug" OR SKG_BETA MATCHES "BETA")
    MESSAGE( STATUS "     TRACES              : Some traces activated")
  ELSE(CMAKE_BUILD_TYPE MATCHES "debug" OR SKG_BETA MATCHES "BETA")
    MESSAGE( STATUS "     TRACES              : All traces disabled")
    add_definitions(-DSKGNOTRACES)
  ENDIF(CMAKE_BUILD_TYPE MATCHES "debug" OR SKG_BETA MATCHES "BETA")
ENDIF(CMAKE_BUILD_TYPE MATCHES "profile")

add_definitions(-DSKGVERSION=${SKG_VERSION})
if(${KDE_VERSION} VERSION_LESS "4.6.0")
    MESSAGE( STATUS "     enable KDE 4.5 API")
else(${KDE_VERSION} VERSION_LESS "4.6.0")
    MESSAGE( STATUS "     enable KDE 4.6 API")
    add_definitions(-DSKGKDE46ENABLED=Y)
endif(${KDE_VERSION} VERSION_LESS "4.6.0")

include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
	${CMAKE_CURRENT_SOURCE_DIR}/skgbasemodeler/
	${CMAKE_CURRENT_SOURCE_DIR}/skgbasegui/
	${CMAKE_CURRENT_BINARY_DIR}/skgbasegui/
	${CMAKE_CURRENT_SOURCE_DIR}/skgbasemodelertest
	${CMAKE_CURRENT_SOURCE_DIR}/skgbankmodeler/
	${CMAKE_CURRENT_SOURCE_DIR}/skgbankgui
	${CMAKE_CURRENT_BINARY_DIR}/skgbankgui)

#Correction bug 207249 vvvv
#SET(CMAKE_CXX_FLAGS "-Wall" )
IF(CMAKE_COMPILER_IS_GNUCXX)
  SET(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}")
ENDIF(CMAKE_COMPILER_IS_GNUCXX)
#Correction bug 207249 ^^^^

#Default installation path
set(CMAKE_INSTALL_PREFIX ${BUILD_DIR})

# Win32 specific configuration
IF(WIN32)
    ADD_DEFINITIONS(-DSKG_PLATFORM_WIN32)
    IF(CMAKE_COMPILER_IS_GNUCXX)
	SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,--enable-runtime-pseudo-reloc -Wl,--export-all-symbols" CACHE STRING "" FORCE)
    ENDIF(CMAKE_COMPILER_IS_GNUCXX)
ELSE(WIN32)
#To solve Bug 209912:"ldd -u <library>""
#doesnt work on MACOS, must be done manually		SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--as-needed" CACHE STRING "" FORCE)
ENDIF(WIN32)
MESSAGE(STATUS "     CMAKE_SHARED_LINKER_FLAGS : ${CMAKE_SHARED_LINKER_FLAGS}")


#ADD_SUBDIRECTORY(skg_dataengine) #<-- Experimental
#ADD_SUBDIRECTORY(skg_dashboard2) #<-- Experimental plugin
#ADD_SUBDIRECTORY(skgapplets) #<-- Experimental plugin
#ADD_SUBDIRECTORY(skgmyapplitest) #<-- Experimental plugin, do not activate

#ADD_SUBDIRECTORY
ADD_SUBDIRECTORY(skgbasemodeler)
ADD_SUBDIRECTORY(skgbankmodeler)
ADD_SUBDIRECTORY(skgbasegui)
ADD_SUBDIRECTORY(skgbankgui)

ADD_SUBDIRECTORY(plugins)
ADD_SUBDIRECTORY(images)
IF(WIN32)
    MESSAGE( STATUS "     Doc disabled on windows")
ELSE(WIN32)
    ADD_SUBDIRECTORY(doc)
ENDIF(WIN32)

IF(SKG_BUILD_TEST AND NOT WIN32)
	ADD_SUBDIRECTORY(tests)
ENDIF(SKG_BUILD_TEST AND NOT WIN32)

#Main application
ADD_SUBDIRECTORY(skrooge)
ADD_SUBDIRECTORY(skroogeconvert)

CONFIGURE_FILE(scripts/addNewPlugin.sh.in scripts/addNewPlugin.sh @ONLY)
CONFIGURE_FILE(scripts/addNewImportPlugin.sh.in scripts/addNewImportPlugin.sh @ONLY)

#DOXYGEN
ADD_CUSTOM_TARGET(apidox "doxygen" "${PROJECT_SOURCE_DIR}/Doxyfile")

#ASTYLE
CONFIGURE_FILE(scripts/astyle.sh.in scripts/astyle.sh @ONLY)
ADD_CUSTOM_TARGET(astyle "scripts/astyle.sh")

#KRAZY
CONFIGURE_FILE(scripts/krazy.sh.in scripts/krazy.sh @ONLY)
ADD_CUSTOM_TARGET(krazy "scripts/krazy.sh")

#GENERATE ICONS
CONFIGURE_FILE(scripts/generateIcons.sh.in scripts/generateIcons.sh @ONLY)

#GENERATE SPLASH SCREEN
CONFIGURE_FILE(scripts/generateSplash.sh.in scripts/generateSplash.sh @ONLY)
ADD_CUSTOM_TARGET(splash "scripts/generateSplash.sh")

#LCOV
CONFIGURE_FILE(scripts/removeTmpFile.sh.in scripts/removeTmpFile.sh @ONLY)
CONFIGURE_FILE(scripts/lcov.sh.in scripts/lcov.sh @ONLY)
ADD_CUSTOM_TARGET(lcov "scripts/lcov.sh")
ADD_CUSTOM_TARGET(lcovclean "scripts/lcov.sh" "-b")

CONFIGURE_FILE(CTestCustom.cmake CTestCustom.cmake @ONLY)

#FULL
ADD_CUSTOM_TARGET(full "scripts/full.sh")


include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY(generic)
ADD_SUBDIRECTORY(skrooge)
ADD_SUBDIRECTORY(import)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(eo)
add_subdirectory(ca@valencia)
add_subdirectory(nl)
add_subdirectory(sk)
add_subdirectory(ga)
add_subdirectory(el)
add_subdirectory(ca)
add_subdirectory(zh_TW)
add_subdirectory(ja)
add_subdirectory(et)
add_subdirectory(tr)
add_subdirectory(ro)
add_subdirectory(en_GB)
add_subdirectory(sv)
add_subdirectory(ms)
add_subdirectory(hu)
add_subdirectory(pt)
add_subdirectory(pl)
add_subdirectory(uk)
add_subdirectory(ru)
add_subdirectory(es)
add_subdirectory(nb)
add_subdirectory(lt)
add_subdirectory(de)
add_subdirectory(ug)
add_subdirectory(bg)
add_subdirectory(ko)
add_subdirectory(cs)
add_subdirectory(gl)
add_subdirectory(it)
add_subdirectory(fr)
add_subdirectory(nds)
add_subdirectory(bs)
add_subdirectory(pt_BR)
add_subdirectory(da)

=== skgbasegui/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBASEGUI ::..")

PROJECT(SKGBASEGUI)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler
)
LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skgbasegui_SRCS
   skguniqueapplication.cpp
   skgmainpanel.cpp
   skgobjectmodelbase.cpp
   skgwidget.cpp
   skgtabwidgetdesignerplugin.cpp
   skgtabwidget.cpp
   skgtablewidgetdesignerplugin.cpp
   skgtablewidget.cpp
   skgtabpage.cpp
   skginterfaceplugin.cpp
   skgwidgetcollectiondesignerplugin.cpp
   skgtableviewdesignerplugin.cpp
   skgtableview.cpp
   skgfilteredtableviewdesignerplugin.cpp
   skgfilteredtableview.cpp
   skgtreeviewdesignerplugin.cpp
   skgtreeview.cpp
   skgcomboboxdesignerplugin.cpp
   skgcombobox.cpp
   skgcolorbuttondesignerplugin.cpp
   skgcolorbutton.cpp
   skgzoomselectordesignerplugin.cpp
   skgzoomselector.cpp
   skglineeditdesignerplugin.cpp
   skglineedit.cpp
   skgcalculatoreditdesignerplugin.cpp
   skgcalculatoredit.cpp
   skggraphicsviewdesignerplugin.cpp
   skggraphicsscene.cpp
   skggraphicsview.cpp
   skgtablewithgraphdesignerplugin.cpp
   skgtablewithgraph.cpp
   skgdateeditdesignerplugin.cpp
   skgdateedit.cpp
   kdateedit.cpp
   kdatepickerpopup.cpp
   kdatevalidator.cpp
   skgdatepickerpopup.cpp
   skgsortfilterproxymodel.cpp
   skgflowlayout.cpp
   skgwebview.cpp
   skgwebviewdesignerplugin.cpp
   skgshowdesignerplugin.cpp
   skgshow.cpp
   skgwidgetselectordesignerplugin.cpp
   skgwidgetselector.cpp
 )

kde4_add_ui_files(skgbasegui_SRCS skgmainpanel_base.ui skgmainpanel_pref.ui skggraphicsview.ui skgtablewithgraph.ui skgcolorbutton.ui skgzoomselector.ui skgfilteredtableview.ui skgwidgetselector.ui )

kde4_add_kcfg_files(skgbasegui_SRCS skgbasegui_settings.kcfgc )

KDE4_ADD_LIBRARY(skgbasegui SHARED ${skgbasegui_SRCS})

TARGET_LINK_LIBRARIES(skgbasegui ${KDE4_KPARTS_LIBS} ${QT_QTSCRIPT_LIBRARY} ${QT_QTWEBKIT_LIBRARY} skgbasemodeler)
SET_TARGET_PROPERTIES( skgbasegui PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )

########### install files ###############
INSTALL(TARGETS skgbasegui ${INSTALL_TARGETS_DEFAULT_ARGS}  )
IF(WIN32)
INSTALL(TARGETS skgbasegui LIBRARY ARCHIVE DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
ELSE(WIN32)
INSTALL(TARGETS skgbasegui LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
ENDIF(WIN32)

INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgmainpanel.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgbasegui_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

kde4_install_icons(${ICON_INSTALL_DIR})

=== skgbasemodeler/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBASEMODELER ::..")

PROJECT(SKGBASEMODELER)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

FIND_PACKAGE(QCA2 REQUIRED)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${QCA2_INCLUDE_DIR} ${SQLITE_INCLUDE_DIR} )

SET(skgbasemodeler_SRCS
   skgobjectbase.cpp
   skgnamedobject.cpp
   skgnodeobject.cpp
   skgpropertyobject.cpp
   skgdocument.cpp
   skgtransactionmng.cpp
   skgservices.cpp
   skgerror.cpp
   skgtraces.cpp
 )

#build a shared library
KDE4_ADD_LIBRARY(skgbasemodeler SHARED ${skgbasemodeler_SRCS})

#need to link to some other libraries ? just add them here
SET_TARGET_PROPERTIES(skgbasemodeler PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )
TARGET_LINK_LIBRARIES(skgbasemodeler ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTSQL_LIBRARY}  ${QT_QTSCRIPT_LIBRARY} ${QT_QTXML_LIBRARY} ${QCA2_LIBRARIES})

########### install files ###############
INSTALL(TARGETS skgbasemodeler ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== plugins/generic/CMakeLists.txt ===
ADD_SUBDIRECTORY(skg_advice)
ADD_SUBDIRECTORY(skg_bookmark)
ADD_SUBDIRECTORY(skg_dashboard)
ADD_SUBDIRECTORY(skg_debug)
ADD_SUBDIRECTORY(skg_delete)
ADD_SUBDIRECTORY(skg_selectall)
ADD_SUBDIRECTORY(skg_file)
ADD_SUBDIRECTORY(skg_print)
ADD_SUBDIRECTORY(skg_undoredo)
ADD_SUBDIRECTORY(skg_properties)

=== plugins/skrooge/skrooge_monthly/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_MONTHLY ::..")

PROJECT(plugin_monthly)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui ${CMAKE_SOURCE_DIR}/skgbankmodeler
${CMAKE_BINARY_DIR}/skgbasegui
)
LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_monthly_SRCS
	skgmonthlyplugin.cpp
	skgmonthlypluginwidget.cpp
	skgmonthlyboardwidget.cpp)


kde4_add_ui_files(skrooge_monthly_SRCS skgmonthlypluginwidget_base.ui skgmonthlyboardwidget.ui)

kde4_add_plugin(skrooge_monthly ${skrooge_monthly_SRCS})
TARGET_LINK_LIBRARIES(skrooge_monthly ${KDE4_KPARTS_LIBS} ${QT_QTWEBKIT_LIBRARY} skgbasemodeler skgbasegui skgbankmodeler)

########### install files ###############
INSTALL(TARGETS skrooge_monthly DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge-plugin-monthly.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge_monthly.rc  DESTINATION  ${DATA_INSTALL_DIR}/skrooge_monthly )
INSTALL(DIRECTORY . DESTINATION ${DATA_INSTALL_DIR}/skrooge/css FILES_MATCHING PATTERN "*.css"
PATTERN ".svn" EXCLUDE
PATTERN "CMakeFiles" EXCLUDE
PATTERN "Testing" EXCLUDE)
kde4_install_icons( ${ICON_INSTALL_DIR}   )

=== debian/changelog ===
skrooge (0.9.92-1) unstable; urgency=low

  * New upstream release 
  * Add Build-Depends: libqtwebkit-dev
    - Fixes "FTBFS: fatal error: QWebView:" (Closes: #630205)

 -- Mark Purcell <msp@debian.org>  Tue, 28 Jun 2011 00:59:57 +1000

=== debian/control ===
Source: skrooge
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.9.0),
 kdelibs5-dev (>= 4:4.4.4), libofx-dev, libqca2-dev, libsqlite3-dev, libqtwebkit-dev,
 pkg-config, shared-mime-info
Standards-Version: 3.8.4
Homepage: http://skrooge.org/
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/skrooge/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/skrooge/?op=log

Package: skrooge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqca2-plugin-ossl, libqt4-sql-sqlite, skrooge-common (>= ${source:Version})
Description: personal finance manager for KDE
 Skrooge allows you to manage your personal finances. It is intended to be used
 by individuals who want to keep track of their incomes, expenses and
 investments. Its philosophy is to stay simple and intuitive.
 .
 Here is the list of Skrooge main features:
  * QIF, CSV, KMyMoney, Skrooge,  import/export
  * OFX, QFX, GnuCash, Grisbi, HomeBank import
  * Advanced Graphical Reports
  * Several tabs to help you organize your work
  * Infinite undo/redo
  * Instant filtering on operations and reports
  * Infinite categories levels
  * Mass update of operations
  * Scheduled operations
  * Track refund of your expenses
  * Automatically process operations based on search conditions
  * Multi currencies
  * Dashboard

Package: skrooge-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Skrooge architecture independent files
 Skrooge allows you to manage your personal finances. It is intended to be used
 by individuals who want to keep track of their incomes, expenses and
 investments. Its philosophy is to stay simple and intuitive.
 .
 This package contains architecture independent files needed for Skrooge to run
 properly. It also provides Skrooge documentation. Therefore, unless you
 have 'skrooge' package installed, you will hardly find this package useful.

## skrooge 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
-SET(SKG_VERSION "0.9.92")
-SET(SKG_BETA "BETA")
+SET(SKG_VERSION "1.0.0")
+SET(SKG_BETA "")
 SET(SOVERSION 0)
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )
 
@@ -35,6 +35,7 @@
 MESSAGE( STATUS "     BUILD_DIR           : " ${BUILD_DIR} )
 MESSAGE( STATUS "     CMAKE_BUILD_TYPE    : " ${CMAKE_BUILD_TYPE} )
 MESSAGE( STATUS "     CMAKE_INSTALL_PREFIX: " ${CMAKE_INSTALL_PREFIX} )
+MESSAGE( STATUS "     SKG_BUILD_TEST      : " ${SKG_BUILD_TEST} )
 
 IF(CMAKE_BUILD_TYPE MATCHES "profile")
   MESSAGE( STATUS "     TRACES              : All traces activated")
@@ -81,16 +82,20 @@
     IF(CMAKE_COMPILER_IS_GNUCXX)
 	SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,--enable-runtime-pseudo-reloc -Wl,--export-all-symbols" CACHE STRING "" FORCE)
     ENDIF(CMAKE_COMPILER_IS_GNUCXX)
+    
+    IF (CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)
+        ADD_DEFINITIONS( -DQT_DEBUG )
+    ENDIF (CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)    
 ELSE(WIN32)
+
 #To solve Bug 209912:"ldd -u <library>""
 #doesnt work on MACOS, must be done manually		SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--as-needed" CACHE STRING "" FORCE)
 ENDIF(WIN32)
 MESSAGE(STATUS "     CMAKE_SHARED_LINKER_FLAGS : ${CMAKE_SHARED_LINKER_FLAGS}")
 
 
-#ADD_SUBDIRECTORY(skg_dataengine) #<-- Experimental
-#ADD_SUBDIRECTORY(skg_dashboard2) #<-- Experimental plugin
-#ADD_SUBDIRECTORY(skgapplets) #<-- Experimental plugin
+ADD_SUBDIRECTORY(skg_dataengine) #<-- Experimental
+# ADD_SUBDIRECTORY(skg_dashboard2) #<-- Experimental plugin
 #ADD_SUBDIRECTORY(skgmyapplitest) #<-- Experimental plugin, do not activate
 
 #ADD_SUBDIRECTORY
@@ -101,11 +106,6 @@
 
 ADD_SUBDIRECTORY(plugins)
 ADD_SUBDIRECTORY(images)
-IF(WIN32)
-    MESSAGE( STATUS "     Doc disabled on windows")
-ELSE(WIN32)
-    ADD_SUBDIRECTORY(doc)
-ENDIF(WIN32)
 
 IF(SKG_BUILD_TEST AND NOT WIN32)
 	ADD_SUBDIRECTORY(tests)
@@ -150,3 +150,6 @@
 
 include(MacroOptionalAddSubdirectory)
 macro_optional_add_subdirectory( po )
+
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( doc )

=== doc/CMakeLists.txt ===
add_subdirectory(en_US)
add_subdirectory(sv)

=== images/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE IMAGES ::..")

PROJECT(images)

ADD_SUBDIRECTORY( logos )

#GENERATE SPLASH SCREEN
CONFIGURE_FILE(${PROJECT_SOURCE_DIR}/splash.svg.in ${PROJECT_BINARY_DIR}/splash.svg @ONLY)

INSTALL(FILES splash.png DESTINATION ${DATA_INSTALL_DIR}/skrooge/images)

=== plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY(generic)
ADD_SUBDIRECTORY(skrooge)
ADD_SUBDIRECTORY(import)
ADD_SUBDIRECTORY(applet)
ADD_SUBDIRECTORY(krunner)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(ca@valencia)
add_subdirectory(bs)
add_subdirectory(nb)
add_subdirectory(pl)
add_subdirectory(sv)
add_subdirectory(ro)
add_subdirectory(et)
add_subdirectory(fr)
add_subdirectory(en_GB)
add_subdirectory(pt)
add_subdirectory(nl)
add_subdirectory(ja)
add_subdirectory(ca)
add_subdirectory(cs)
add_subdirectory(hu)
add_subdirectory(es)
add_subdirectory(ga)
add_subdirectory(ug)
add_subdirectory(tr)
add_subdirectory(de)
add_subdirectory(da)
add_subdirectory(bg)
add_subdirectory(ru)
add_subdirectory(zh_CN)
add_subdirectory(lt)
add_subdirectory(pt_BR)
add_subdirectory(sk)
add_subdirectory(gl)
add_subdirectory(el)
add_subdirectory(it)
add_subdirectory(eo)

=== skgbankmodeler/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBANKMODELER ::..")

PROJECT(SKGBANKMODELER)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

MESSAGE( STATUS "OFX found. OFX support enabled")

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${CMAKE_SOURCE_DIR}/skgbasemodeler)

SET(skgbankmodeler_SRCS
   skgbankobject.cpp
   skgbudgetobject.cpp
   skgbudgetruleobject.cpp
   skgaccountobject.cpp
   skgoperationobject.cpp
   skgrecurrentoperationobject.cpp
   skgtrackerobject.cpp
   skgpayeeobject.cpp
   skgsuboperationobject.cpp
   skgcategoryobject.cpp
   skgunitobject.cpp
   skgunitvalueobject.cpp
   skgruleobject.cpp
   skginterestobject.cpp
   skgdocumentbank.cpp
   skgimportexportmanager.cpp
   skgimportplugin.cpp
 )

#build a shared library
KDE4_ADD_LIBRARY(skgbankmodeler SHARED ${skgbankmodeler_SRCS})

#need to link to some other libraries ? just add them here
TARGET_LINK_LIBRARIES(skgbankmodeler ${KDE4_KPARTS_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTSQL_LIBRARY} skgbasemodeler)

SET_TARGET_PROPERTIES( skgbankmodeler PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )

########### install files ###############
INSTALL(TARGETS skgbankmodeler ${INSTALL_TARGETS_DEFAULT_ARGS})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge-import-plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== skgbasemodeler/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 FIND_PACKAGE(QCA2 REQUIRED)
 
-INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${QCA2_INCLUDE_DIR} ${SQLITE_INCLUDE_DIR} )
+INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${QCA2_INCLUDE_DIR} ${QT_QTSQL_INCLUDE_DIR} )
 
 SET(skgbasemodeler_SRCS
    skgobjectbase.cpp
@@ -18,6 +18,7 @@
    skgservices.cpp
    skgerror.cpp
    skgtraces.cpp
+   skgadvice.cpp
  )
 
 #build a shared library

=== skrooge/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKROOGE ::..")

PROJECT(SKROOGE)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbankgui ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_SRCS
   main.cpp
 )
KDE4_ADD_EXECUTABLE(skrooge ${skrooge_SRCS})

KDE4_ADD_APP_ICON(skrooge_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-apps-skrooge.png")

TARGET_LINK_LIBRARIES(skrooge ${KDE4_KDEUI_LIBS} skgbasemodeler skgbasegui skgbankmodeler skgbankgui)


########### install files ###############
INSTALL(TARGETS skrooge ${INSTALL_TARGETS_DEFAULT_ARGS} )
INSTALL(PROGRAMS skrooge.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
INSTALL(DIRECTORY theme DESTINATION ${DATA_INSTALL_DIR}/skrooge FILES_MATCHING PATTERN "*.css"
PATTERN ".svn" EXCLUDE
PATTERN "CMakeFiles" EXCLUDE
PATTERN "Testing" EXCLUDE)
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/skrooge )
kde4_install_icons( ${ICON_INSTALL_DIR}   )
if (NOT SHARED_MIME_INFO_MINIMUM_VERSION)
  set(SHARED_MIME_INFO_MINIMUM_VERSION "0.23")
endif (NOT SHARED_MIME_INFO_MINIMUM_VERSION)

find_package(SharedMimeInfo REQUIRED)

install(FILES x-skg.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== images/logos/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE IMAGES/LOGOS ::..")

PROJECT(logos)

INSTALL(DIRECTORY . DESTINATION ${DATA_INSTALL_DIR}/skrooge/images/logo/ FILES_MATCHING PATTERN "*.png"
PATTERN ".svn" EXCLUDE
PATTERN "CMakeFiles" EXCLUDE
PATTERN "Testing" EXCLUDE)
INSTALL(DIRECTORY . DESTINATION ${DATA_INSTALL_DIR}/skrooge/images/logo/ FILES_MATCHING PATTERN "list_bank.txt"
PATTERN ".svn" EXCLUDE
PATTERN "CMakeFiles" EXCLUDE
PATTERN "Testing" EXCLUDE)

=== plugins/applet/CMakeLists.txt ===
add_subdirectory(advice)
add_subdirectory(alarm)
add_subdirectory(bank)
add_subdirectory(unit)
add_subdirectory(account)
add_subdirectory(calculator)
add_subdirectory(operation)
add_subdirectory(tipsoftheday)
add_subdirectory(highlightedoperation)
add_subdirectory(report)
add_subdirectory(scheduledoperation)

add_subdirectory(advice-qml)

=== plugins/generic/CMakeLists.txt ===
ADD_SUBDIRECTORY(skg_advice)
ADD_SUBDIRECTORY(skg_bookmark)
ADD_SUBDIRECTORY(skg_dashboard)
ADD_SUBDIRECTORY(skg_debug)
ADD_SUBDIRECTORY(skg_delete)
ADD_SUBDIRECTORY(skg_file)
ADD_SUBDIRECTORY(skg_highlight)
ADD_SUBDIRECTORY(skg_print)
ADD_SUBDIRECTORY(skg_properties)
ADD_SUBDIRECTORY(skg_selectall)
ADD_SUBDIRECTORY(skg_undoredo)

=== plugins/import/CMakeLists.txt ===
#Correction bug 223848 vvvv
#FIND_PACKAGE( LibOfx REQUIRED )
IF(WIN32)
    SET(LIBOFX_FOUND FALSE)
ELSE(WIN32)
    FIND_PACKAGE( LibOfx )
ENDIF(WIN32)

ADD_SUBDIRECTORY(skrooge_import_qif)
ADD_SUBDIRECTORY(skrooge_import_csv)
ADD_SUBDIRECTORY(skrooge_import_gnc)
ADD_SUBDIRECTORY(skrooge_import_gsb)
ADD_SUBDIRECTORY(skrooge_import_kmy)
ADD_SUBDIRECTORY(skrooge_import_mmb)
ADD_SUBDIRECTORY(skrooge_import_mt940)
IF(LIBOFX_FOUND)
  ADD_SUBDIRECTORY(skrooge_import_ofx)
ENDIF(LIBOFX_FOUND)
ADD_SUBDIRECTORY(skrooge_import_skg)
ADD_SUBDIRECTORY(skrooge_import_xhb)
ADD_SUBDIRECTORY(skrooge_import_xml)

=== debian/changelog ===
skrooge (1.0.0-1) unstable; urgency=low

  * New upstream release (LP: #869529) 
  * Updated skrooge.install
    - Fixes "[skrooge] Import failed" (Closes: #632946)
  * Add Build-Depends: libgrantlee-dev
  * Update Vcs-Browser: anonscm.debian.org
  * Depends: skrooge-common (= ${source:Version})

 -- Mark Purcell <msp@debian.org>  Sun, 09 Oct 2011 21:52:39 +1100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.9.0),
  kdelibs5-dev (>= 4:4.4.4), libofx-dev, libqca2-dev, libsqlite3-dev, libqtwebkit-dev,
+ libgrantlee-dev,
  pkg-config, shared-mime-info
 Standards-Version: 3.8.4
 Homepage: http://skrooge.org/
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/skrooge/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/skrooge/?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/skrooge/
 
 Package: skrooge
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libqca2-plugin-ossl, libqt4-sql-sqlite, skrooge-common (>= ${source:Version})
+ libqca2-plugin-ossl, libqt4-sql-sqlite, skrooge-common (= ${source:Version})
 Description: personal finance manager for KDE
  Skrooge allows you to manage your personal finances. It is intended to be used
  by individuals who want to keep track of their incomes, expenses and

## skrooge 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,38 @@
 MESSAGE( STATUS "..:: CMAKE ROOT ::..")
 
 PROJECT(skrooge)
+
+#http://www.testcocoon.org vvvv
+SET(COVERAGE_FLAGS "--cs-on --cs-count")
+SET( CMAKE_CXX_FLAGS_COVERAGE 
+     "${CMAKE_C_FLAGS_RELEASE} ${COVERAGE_FLAGS}" CACHE STRING
+    "Flags used by the C++ compiler during coverage builds."
+    FORCE )
+SET( CMAKE_C_FLAGS_COVERAGE 
+     "${CMAKE_CXX_FLAGS_RELEASE} ${COVERAGE_FLAGS}" CACHE STRING
+    "Flags used by the C compiler during coverage builds."
+    FORCE )
+SET( CMAKE_EXE_LINKER_FLAGS_COVERAGE
+    "${CMAKE_EXE_LINKER_FLAGS_RELEASE} ${COVERAGE_FLAGS}" CACHE STRING
+    "Flags used for linking binaries during coverage builds."
+    FORCE )
+SET( CMAKE_SHARED_LINKER_FLAGS_COVERAGE
+    "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} ${COVERAGE_FLAGS}" CACHE STRING
+    "Flags used by the shared libraries linker during coverage builds."
+    FORCE )
+SET( CMAKE_STATIC_LINKER_FLAGS_COVERAGE
+    "${CMAKE_STATIC_LINKER_FLAGS_RELEASE} ${COVERAGE_FLAGS}" CACHE STRING
+    "Flags used by the static libraries linker during coverage builds."
+    FORCE )
+MARK_AS_ADVANCED(
+    CMAKE_CXX_FLAGS_COVERAGE
+    CMAKE_C_FLAGS_COVERAGE
+    CMAKE_EXE_LINKER_FLAGS_COVERAGE
+    CMAKE_SHARED_LINKER_FLAGS_COVERAGE 
+    CMAKE_STATIC_LINKER_FLAGS_COVERAGE 
+    COMPILE_DEFINITIONS_COVERAGE
+)
+#http://www.testcocoon.org ^^^^
 
 FIND_PROGRAM(SKG_BASH bash)
 MARK_AS_ADVANCED(SKG_BASH)
@@ -11,9 +43,9 @@
 MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
-SET(SKG_VERSION "1.0.0")
+SET(SKG_VERSION "1.1.1")
 SET(SKG_BETA "")
-SET(SOVERSION 0)
+SET(SOVERSION 1)
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )
 
 IF (CMAKE_BUILD_TYPE)
@@ -93,10 +125,7 @@
 ENDIF(WIN32)
 MESSAGE(STATUS "     CMAKE_SHARED_LINKER_FLAGS : ${CMAKE_SHARED_LINKER_FLAGS}")
 
-
 ADD_SUBDIRECTORY(skg_dataengine) #<-- Experimental
-# ADD_SUBDIRECTORY(skg_dashboard2) #<-- Experimental plugin
-#ADD_SUBDIRECTORY(skgmyapplitest) #<-- Experimental plugin, do not activate
 
 #ADD_SUBDIRECTORY
 ADD_SUBDIRECTORY(skgbasemodeler)

=== doc/CMakeLists.txt ===
add_subdirectory(sv)
add_subdirectory(en_US)
add_subdirectory(pt)
add_subdirectory(es)
add_subdirectory(pt_BR)
add_subdirectory(lt)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(sv)
add_subdirectory(en_GB)
add_subdirectory(gl)
add_subdirectory(nl)
add_subdirectory(nds)
add_subdirectory(ug)
add_subdirectory(ro)
add_subdirectory(fr)
add_subdirectory(bs)
add_subdirectory(pt)
add_subdirectory(cs)
add_subdirectory(uk)
add_subdirectory(et)
add_subdirectory(eo)
add_subdirectory(ja)
add_subdirectory(ca@valencia)
add_subdirectory(es)
add_subdirectory(el)
add_subdirectory(zh_CN)
add_subdirectory(pt_BR)
add_subdirectory(hu)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(ko)
add_subdirectory(pl)
add_subdirectory(lt)
add_subdirectory(sk)
add_subdirectory(zh_TW)
add_subdirectory(bg)
add_subdirectory(ga)
add_subdirectory(tr)
add_subdirectory(ms)
add_subdirectory(da)
add_subdirectory(nb)
add_subdirectory(ru)
add_subdirectory(ca)

=== skgbankmodeler/CMakeLists.txt ===
--- 
+++ 
@@ -39,3 +39,4 @@
 ########### install files ###############
 INSTALL(TARGETS skgbankmodeler ${INSTALL_TARGETS_DEFAULT_ARGS})
 INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge-import-plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
+INSTALL(DIRECTORY quotes DESTINATION ${DATA_INSTALL_DIR}/skrooge FILES_MATCHING PATTERN "*.txt" )

=== plugins/skrooge/skrooge_monthly/grantlee_filters/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE GRANTLEE_FILTERS ::..")

PROJECT(grantlee_filters)

INCLUDE(${Grantlee_USE_FILE}) # This files defines the grantlee_add_plugin macro

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${Grantlee_INCLUDE_DIRS} 
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasegui
)

GRANTLEE_ADD_PLUGIN(grantlee_skroogefilters skggrantleefilters FILTERS skgdocumentfilter skgobjectfilter skgmoneyfilter)
TARGET_LINK_LIBRARIES(grantlee_skroogefilters skgbasemodeler skgbankmodeler skgbasegui)

########### install files ###############
IF(WIN32)
  INSTALL(TARGETS grantlee_skroogefilters ARCHIVE DESTINATION ${DATA_INSTALL_DIR}/skrooge/plugins/grantlee/${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR} )
ELSE(WIN32)
  INSTALL(TARGETS grantlee_skroogefilters LIBRARY DESTINATION ${DATA_INSTALL_DIR}/skrooge/plugins/grantlee/${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR} )
ENDIF(WIN32)

=== debian/changelog ===
skrooge (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Add BUG288683_arch-dependent-file-in-usr-share.patch from upstream.

 -- Fathi Boudra <fabo@debian.org>  Sat, 31 Dec 2011 12:00:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,29 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.9.0),
- kdelibs5-dev (>= 4:4.4.4), libofx-dev, libqca2-dev, libsqlite3-dev, libqtwebkit-dev,
- libgrantlee-dev,
- pkg-config, shared-mime-info
-Standards-Version: 3.8.4
+Build-Depends: cmake (>= 2.8.0),
+               debhelper (>= 8.1.0),
+               kdelibs5-dev (>= 4:4.4.4),
+               libgrantlee-dev,
+               libofx-dev,
+               libqca2-dev,
+               libqtwebkit-dev,
+               libsqlite3-dev,
+               pkg-config,
+               pkg-kde-tools (>= 0.9.0),
+               shared-mime-info
+Standards-Version: 3.9.2
 Homepage: http://skrooge.org/
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/skrooge/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/skrooge/
 
 Package: skrooge
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libqca2-plugin-ossl, libqt4-sql-sqlite, skrooge-common (= ${source:Version})
+Depends: libqca2-plugin-ossl,
+         libqt4-sql-sqlite,
+         skrooge-common (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: personal finance manager for KDE
  Skrooge allows you to manage your personal finances. It is intended to be used
  by individuals who want to keep track of their incomes, expenses and
@@ -38,7 +48,7 @@
 
 Package: skrooge-common
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Skrooge architecture independent files
  Skrooge allows you to manage your personal finances. It is intended to be used
  by individuals who want to keep track of their incomes, expenses and

## skrooge 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,15 @@
 MESSAGE( STATUS "..:: CMAKE ROOT ::..")
 
 PROJECT(skrooge)
+
+cmake_minimum_required(VERSION 2.8)
+IF(POLICY CMP0017)
+   CMAKE_POLICY(SET CMP0017 OLD) # or even better, NEW
+ENDIF(POLICY CMP0017)
+IF(POLICY CMP0002)
+   CMAKE_POLICY(SET CMP0002 OLD) # to authorize the build with po files   
+ENDIF(POLICY CMP0002)
+
 
 #http://www.testcocoon.org vvvv
 SET(COVERAGE_FLAGS "--cs-on --cs-count")
@@ -43,7 +52,7 @@
 MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
-SET(SKG_VERSION "1.1.1")
+SET(SKG_VERSION "1.2.0")
 SET(SKG_BETA "")
 SET(SOVERSION 1)
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )

=== doc/CMakeLists.txt ===
add_subdirectory(pt)
add_subdirectory(lt)
add_subdirectory(uk)
add_subdirectory(nl)
add_subdirectory(sv)
add_subdirectory(es)
add_subdirectory(pt_BR)
add_subdirectory(en_US)

=== skgbankmodeler/CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,6 @@
 PROJECT(SKGBANKMODELER)
 
 LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})
-
-MESSAGE( STATUS "OFX found. OFX support enabled")
 
 INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${CMAKE_SOURCE_DIR}/skgbasemodeler)

=== skgbasemodeler/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,12 @@
 
 LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})
 
-FIND_PACKAGE(QCA2 REQUIRED)
+FIND_PACKAGE(QCA2)
+if( NOT QCA2_FOUND  )
+  message(FATAL_ERROR "Package QCA2 required, but not found!")
+else( NOT QCA2_FOUND )
+  message(STATUS "Package QCA2 found!")
+endif( NOT QCA2_FOUND )
 
 INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${QCA2_INCLUDE_DIR} ${QT_QTSQL_INCLUDE_DIR} )

=== plugins/applet/CMakeLists.txt ===
add_subdirectory(advice)

add_subdirectory(bank)
add_subdirectory(unit)
add_subdirectory(account)

add_subdirectory(tipsoftheday)
add_subdirectory(highlightedoperation)
add_subdirectory(report)
add_subdirectory(scheduledoperation)

add_subdirectory(advice-qml)

add_subdirectory(incomeexpenditure)
add_subdirectory(simulation)
add_subdirectory(alarm)

=== plugins/import/skrooge_import_ofx/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_IMPORT_OFX ::..")

PROJECT(plugin_import_ofx)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${LIBOFX_INCLUDE_DIR}
${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbankgui ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

MESSAGE( STATUS "OFX found. OFX support enabled")

ADD_DEFINITIONS(${KDE4_ENABLE_EXCEPTIONS})

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_import_ofx_SRCS
	skgimportpluginofx.cpp
)

IF(MSVC)
    TARGET_LINK_LIBRARIES(skgbankmodeler $ENV{KDEROOT}/lib/sp133.lib $ENV{KDEROOT}/lib/libiconv-2.lib)
ENDIF(MSVC)

kde4_add_plugin(skrooge_import_ofx ${skrooge_import_ofx_SRCS})
TARGET_LINK_LIBRARIES(skrooge_import_ofx ${KDE4_KPARTS_LIBS} ${LIBOFX_LIBRARIES} skgbasemodeler skgbasegui skgbankmodeler skgbankgui)

########### install files ###############
INSTALL(TARGETS skrooge_import_ofx DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge-import-ofx.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/skrooge/skrooge_monthly/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_MONTHLY ::..")

PROJECT(plugin_monthly)

FIND_PACKAGE(Grantlee)
if( NOT Grantlee_FOUND  )
  message(FATAL_ERROR "Package Grantlee required, but not found!")
else( NOT Grantlee_FOUND )
  message(STATUS "Package Grantlee found!")
endif( NOT Grantlee_FOUND )

SET(GRANTLEE_VERSION ${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR}.${Grantlee_VERSION_PATCH})
MESSAGE( STATUS "     GRANTLEE VERSION      : " ${GRANTLEE_VERSION})

if(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
    MESSAGE( STATUS "     enable GRANTLEE 0.1.4 API")
else(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")
    MESSAGE( STATUS "     enable GRANTLEE 0.1.7 API")
    add_definitions(-DSKGGRANTLEE17ENABLED=Y)
endif(${GRANTLEE_VERSION} VERSION_LESS "0.1.7")

ADD_SUBDIRECTORY(grantlee_filters)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${Grantlee_INCLUDE_DIRS} 
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui ${CMAKE_SOURCE_DIR}/skgbankmodeler
${CMAKE_BINARY_DIR}/skgbasegui
)
LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skrooge_monthly_SRCS
	skgmonthlyplugin.cpp
	skgmonthlypluginwidget.cpp
	skgmonthlyboardwidget.cpp)

kde4_add_ui_files(skrooge_monthly_SRCS skgmonthlypluginwidget_base.ui skgmonthlyboardwidget.ui)

kde4_add_plugin(skrooge_monthly ${skrooge_monthly_SRCS})
TARGET_LINK_LIBRARIES(skrooge_monthly ${KDE4_KPARTS_LIBS} ${QT_QTWEBKIT_LIBRARY} ${KDE4_KNEWSTUFF3_LIBS} ${Grantlee_CORE_LIBRARIES} skgbasemodeler skgbasegui skgbankmodeler)

########### install files ###############
INSTALL(TARGETS skrooge_monthly DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge-plugin-monthly.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skrooge_monthly.rc  DESTINATION  ${DATA_INSTALL_DIR}/skrooge_monthly )
INSTALL(FILES skrooge_monthly.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
INSTALL(DIRECTORY . DESTINATION ${DATA_INSTALL_DIR}/skrooge/html FILES_MATCHING PATTERN "*.txt" 
PATTERN ".svn" EXCLUDE
PATTERN "CMakeLists.txt" EXCLUDE
PATTERN "CMakeFiles" EXCLUDE
PATTERN "grantlee_filters" EXCLUDE
PATTERN "Testing" EXCLUDE)
INSTALL(DIRECTORY . DESTINATION ${DATA_INSTALL_DIR}/skrooge/html FILES_MATCHING PATTERN "*.html" 
PATTERN ".svn" EXCLUDE
PATTERN "CMakeLists.txt" EXCLUDE
PATTERN "CMakeFiles" EXCLUDE
PATTERN "grantlee_filters" EXCLUDE
PATTERN "Testing" EXCLUDE)
kde4_install_icons( ${ICON_INSTALL_DIR}   )

=== plugins/skrooge/skrooge_monthly/grantlee_filters/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 ########### install files ###############
 IF(WIN32)
-  INSTALL(TARGETS grantlee_skroogefilters ARCHIVE DESTINATION ${DATA_INSTALL_DIR}/skrooge/plugins/grantlee/${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR} )
+  INSTALL(TARGETS grantlee_skroogefilters ARCHIVE DESTINATION ${LIB_INSTALL_DIR}/grantlee/${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR} )
 ELSE(WIN32)
-  INSTALL(TARGETS grantlee_skroogefilters LIBRARY DESTINATION ${DATA_INSTALL_DIR}/skrooge/plugins/grantlee/${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR} )
+  INSTALL(TARGETS grantlee_skroogefilters LIBRARY DESTINATION ${LIB_INSTALL_DIR}/grantlee/${Grantlee_VERSION_MAJOR}.${Grantlee_VERSION_MINOR} )
 ENDIF(WIN32)

=== debian/changelog ===
skrooge (1.2.0-2) unstable; urgency=low

  * Fix pinuparts dependency does-not-exist
  * Drop obsolete skrooge-common ${shlibs:Depends}
  * Update lintian-overrides non-dev-pkg-with-shlib-symlink

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jan 2012 03:39:31 +1100

skrooge (1.2.0-1) unstable; urgency=low

  * lca2012 release

  * New upstream release
  * Drop patches/BUG288683 - included upstream

 -- Mark Purcell <msp@debian.org>  Mon, 16 Jan 2012 15:48:39 +1100
